import { type JSX } from '../../stencil-public-runtime';
import type { ActivePropType, HrefPropType, LabelPropType, OpenPropType, TreeItemAPI, TreeItemStates } from '../../schema';
export declare class KolTreeItemWc implements TreeItemAPI {
    private linkElement?;
    private groupId;
    private level?;
    host: HTMLElement;
    render(): JSX.Element;
    state: TreeItemStates;
    _active?: OpenPropType;
    _label: LabelPropType;
    _open?: OpenPropType;
    _href: HrefPropType;
    validateActive(value?: ActivePropType): void;
    validateLabel(value?: LabelPropType): void;
    validateOpen(value?: OpenPropType): void;
    validateHref(value?: HrefPropType): void;
    componentWillLoad(): void;
    private determineTreeItemDepth;
    private handleSlotchange;
    private checkForChildren;
    focus(): Promise<void | undefined>;
    focusLink(): Promise<void | undefined>;
    private handleExpandClick;
    expand(): Promise<void>;
    private handleCollapseClick;
    collapse(): Promise<void>;
    isOpen(): Promise<boolean>;
}
